GST Challan Consolidated Summary
GET
https://apisandbox.whitebooks.in/payment/chllnsumAs per SRS, Taxpayer can view the challan Summary details through GSP after logging in to account.TaxPayer need to provide the GSTIN and CPIN and GSP invoke this interface the to get the challan summary. GST Backend system returns the Challan Summary Details with CPIN, Expiry Date, Creation Date, Total amount along with Payment status etc.
Parameters
query parameters
gstinstringrequiredGSTIN of the taxpayer
cpinstringrequiredCPIN
emailstringrequiredEmail
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/payment/chllnsum. Required parameters: gstin (query parameter), cpin (query parameter), email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Get Challan Summary (GET
/payment/chllnsum), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).As per SRS, Taxpayer can view the challan Summary details through GSP after logging in to account.TaxPayer need to provide the GSTIN and CPIN and GSP invoke this interface the to get the challan summary. GST Backend system returns the Challan Summary Details with CPIN, Expiry Date, Creation Date, Total amount along with Payment status etc.
No example available.